# GimpUi.random_seed_new

    @accepts(guint32, bool)
    @returns(Gtk.Widget)
    def random_seed_new(seed, random_seed):
        # Python wrapper for gimp_random_seed_new()

Creates a widget that allows the user to control how the random number generator is initialized.

seed

  A pointer to the variable which stores the random seed.

random_seed

  A pointer to a boolean indicating whether seed should be initialised randomly or not.

Returns